Public Class StCheckBox
	Implements IField
	Implements IChanged
	Dim m_Field As Fields
	Dim m_Updatting As Boolean = True
	Public Property Field() As Fields Implements IField.Field
		Get
			Return (m_Field)
		End Get
		Set(ByVal value As Fields)
			m_Updatting = True
			m_Field = value
			m_Updatting = False
		End Set
	End Property

	Public Event Changed(ByVal sender As Object, ByVal e As EventArgs) Implements IChanged.Changed

	Private Sub StCheckBox_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.CheckedChanged
		If Not m_Updatting Then
			RaiseEvent Changed(sender, e)
		End If
	End Sub

End Class
